# Hacking Religion
## A wee cookbook

This repository contains a series of recipes which show how to reproduce the underlying example data in the "hacking religion" textbook. 

Some of these operations are a bit complex, so I've offloaded them here. It's my hope that adventurous readers and learners may want to slice and dice alternate versions of the underlying data for their own research and use. I've endeavoured to make these recipes reproducible as much as possible. 

You can view a live demo of the textbook book here: [https://kidwellj.github.io/hacking_religion_textbook/intro.html]

Recipes included here include:
* `nomis.R` Supporting content in chapter 1 which relies on UK census data. This was extracted from the nomis database using R tools
* `ordnance_survey.R` Supporting geospatial content in chapter 3 which relies on Ordnance Survey geospatial data
* `openstreetmap_parse.R` Script which can generate extracts from the OpenStreetMap database for content used in chapter 3

# Copyright

Content here, unless otherwise indicated are copyright by Jeremy H. Kidwell. Please re-use them as they are covered by Creative Commons Attribution 4.0 International Licence (CC BY 4.0).
